Bug 863907 - GlusterFS automatically starts smb service when it is disabled w/ chkconfig
GlusterFS automatically starts smb service when it is disabled w/ chkconfig
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Niels de Vos
Ujjwala
: Patch
Depends On: 861506
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 23:22 EDT by Scott Haines
Modified: 2015-01-22 10:30 EST (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.3.0.3rhs-33.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 861506
Environment:
Last Closed: 2012-11-12 13:47:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 225093 None None None 2012-10-07 23:22:23 EDT

  None (edit)
Comment 3 Ujjwala 2012-10-18 03:28:38 EDT
Verified the bug on 3.3.0.3rhs-33.el6rhs.x86_64 build.
Steps to verify:
case1:
1. Update RHS 2.0 to 3.3.0.3rhs-33.el6rhs.x86_64 build.
2. chkconfig smb off
3. Check the smb service is not started
4. Create a gluster volume and start the volume.
5. 'service smb status' and verify that the smb service is not started and gluster volume start does not start the smb service.
6. Check /var/log/messages and verify there are no smb related error messages.

case2:
7. execute 'service smb start' on all nodes
8. gluster volume <volname> start force
9. 'service smb status' and verify that smb is still running and the volume start does not affect smb status if it is already running.
Comment 5 errata-xmlrpc 2012-11-12 13:47:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1456.html

Note You need to log in before you can comment on or make changes to this bug.